Subject: Re: Fwd: Letter to Enron from FuelCell re Allliance Agreement.DOC
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 29 Sep 2000 09:22:00 -0700 (PDT)

For those who don't have these numbers, here we go:

Home    713 973 6325
Home fax  713 973 0287
Cell   713 304 8716

I have Ozzie and Heather's contact numbers as well, but don't see any reason 
to take up their time unless something commercial arises.  Jeff, I'll be glad 
to hold you numbers in trust as well.

I have nothing special planned (there goes my wild image), so I'm available 
anytime.  I'm going to read over the latest versions, keeping in mind that 
the commercial deal is done.

Kay